Index: extensions/app_diameap/diameap.y
===================================================================
--- extensions/app_diameap/diameap.y	(revision 565)
+++ extensions/app_diameap/diameap.y	(revision 974)
@@ -124,5 +124,5 @@
 		if (fl == NULL) {
 			int ret = errno;
-			TRACE_DEBUG(INFO, "Unable to open %s plugin file %s for reading: %s\n", $3, infile, strerror(ret));
+			TRACE_DEBUG(INFO, "Unable to open %s plugin file %s for reading: %s", $3, infile, strerror(ret));
 			yyerror (&yylloc, config, "Error adding EAP Plugin"); 
 			YYERROR;
Index: extensions/app_diameap/diameap_eappacket.c
===================================================================
--- extensions/app_diameap/diameap_eappacket.c	(revision 425)
+++ extensions/app_diameap/diameap_eappacket.c	(revision 974)
@@ -186,5 +186,5 @@
 		return;
 
-	fd_log_debug("------------- Dump EAP Packet-------------\n");
+	fd_log_debug("------------- Dump EAP Packet-------------");
 	int i;
 	fd_log_debug("\t -Code       : ");
@@ -194,43 +194,44 @@
 	{
 	case 1:
-		fd_log_debug("Request\n");
+		fd_log_debug("Request");
 		break;
 	case 2:
-		fd_log_debug("Response\n");
+		fd_log_debug("Response");
 		break;
 	case 3:
-		fd_log_debug("Success\n");
+		fd_log_debug("Success");
 		break;
 	case 4:
-		fd_log_debug("Failure\n");
+		fd_log_debug("Failure");
 		break;
 	default:
-		fd_log_debug("Error (EAP Code value [%d] not allowed)\n",code);
+		fd_log_debug("Error (EAP Code value [%d] not allowed)",code);
 		break;
 	}
 	u8 id;
 	CHECK_FCT_DO(diameap_eap_get_identifier(eappacket,&id),return);
-	fd_log_debug("\t -Identifier : %x \n", id);
+	fd_log_debug("\t -Identifier : %x ", id);
 	u16 length;
 	CHECK_FCT_DO(diameap_eap_get_length(eappacket,&length),return);
-	fd_log_debug("\t -Length     : %d \n", (unsigned int)length);
+	fd_log_debug("\t -Length     : %d ", (unsigned int)length);
 	if (eappacket.length > 4)
 	{
 		eap_type type;
 		CHECK_FCT_DO(diameap_eap_get_type(eappacket,&type),return);
-		fd_log_debug("\t -Type       : %d \n", type);
+		fd_log_debug("\t -Type       : %d ", type);
 	}
 	if (eappacket.length > 5)
 	{
-		fd_log_debug("\t -Data       : ");
+		char buf[1024];
+		snprintf(buf, sizeof(buf), "\t -Data       : ");
 		for (i = 5; i < eappacket.length && i < 30; i++)
 		{
-			fd_log_debug("%02x ", G8(eappacket.data + i));
+			snprintf(buf+strlen(buf), sizeof(buf)-strlen(buf), "%02x ", G8(eappacket.data + i));
 		}
 		if(i+1<eappacket.length)
-			fd_log_debug("[...] (len=%d)",(unsigned int) length);
-		fd_log_debug("\n");
-	}
-	fd_log_debug("-------------End Dump EAP Packet-------------\n");
+			snprintf(buf+strlen(buf), sizeof(buf)-strlen(buf), "[...] (len=%d)",(unsigned int) length);
+		fd_log_debug("%s", buf);
+	}
+	fd_log_debug("-------------End Dump EAP Packet-------------");
 }
 
Index: extensions/app_diameap/diameap_init.c
===================================================================
--- extensions/app_diameap/diameap_init.c	(revision 565)
+++ extensions/app_diameap/diameap_init.c	(revision 974)
@@ -368,27 +368,25 @@
 		return;
 
-	fd_log_debug(
-			"-------- DiamEAP extension : Configuration parameters (Dump) -------------\n");
-	fd_log_debug("\t-Configuration file.....: %s\n", diameap_config->conffile);
-	fd_log_debug("\t-EAP Application Id.....: %u\n",
+	fd_log_debug("-------- DiamEAP extension : Configuration parameters (Dump) -------------");
+	fd_log_debug("\t-Configuration file.....: %s", diameap_config->conffile);
+	fd_log_debug("\t-EAP Application Id.....: %u",
 			diameap_config->application_id);
-	fd_log_debug("\t-EAP Application Command: %u\n",
+	fd_log_debug("\t-EAP Application Command: %u",
 			diameap_config->command_code);
-	fd_log_debug("\t-EAP Application Vendor.: %u\n", diameap_config->vendor_id);
-	fd_log_debug("\t-Max invalid EAP packets: %u\n", diameap_config->max_invalid_eap_packet);
-	fd_log_debug("\t-Multi-Round Timeout....: %u\n", diameap_config->multi_round_time_out);
+	fd_log_debug("\t-EAP Application Vendor.: %u", diameap_config->vendor_id);
+	fd_log_debug("\t-Max invalid EAP packets: %u", diameap_config->max_invalid_eap_packet);
+	fd_log_debug("\t-Multi-Round Timeout....: %u", diameap_config->multi_round_time_out);
 	if (diameap_config->db.user)
 	{
-		fd_log_debug("\t-MySQL Database Params..: \n\t\tUser .......:%s\n",
-				diameap_config->db.user);
-		fd_log_debug("\t\tServer .....:%s\n", diameap_config->db.server);
-		fd_log_debug("\t\tDatabase....:%s\n", diameap_config->db.database);
-	}
-
-	fd_log_debug("\t-EAP Method Plugins.....: \n");
+		fd_log_debug("\t-MySQL Database Params..:");
+		fd_log_debug("\t\tUser .......:%s", diameap_config->db.user);
+		fd_log_debug("\t\tServer .....:%s", diameap_config->db.server);
+		fd_log_debug("\t\tDatabase....:%s", diameap_config->db.database);
+	}
+
+	fd_log_debug("\t-EAP Method Plugins.....: ");
 	diameap_plugin_dump();
 
-	fd_log_debug(
-			"-------- DiamEAP extension : Configuration parameters (End) ---------------\n");
+	fd_log_debug("-------- DiamEAP extension : Configuration parameters (End) ---------------");
 }
 
Index: extensions/app_diameap/diameap_plugins.c
===================================================================
--- extensions/app_diameap/diameap_plugins.c	(revision 610)
+++ extensions/app_diameap/diameap_plugins.c	(revision 974)
@@ -76,5 +76,5 @@
 	{
 		struct plugin * plugin = (struct plugin *) pl;
-		fd_log_debug("\t\t - %s plugin \t [Type: %i, Vendor: %i]  %sloaded\n", plugin->methodname,
+		fd_log_debug("\t\t - %s plugin \t [Type: %i, Vendor: %i]  %sloaded", plugin->methodname,
 				plugin->methodtype,plugin->vendor, plugin->handler ? "" : "not ");
 	}
